Get entity screening details

Get the latest screening for an entity. Token scopes: screenings:read

Authentication

AuthorizationBearer
## Authentication Deel API uses API tokens to authenticate requests. A bearer token is required to authenticate all API requests. All API requests must be made over HTTPS. Calls made over plain HTTP will fail. API requests without authentication will also fail. ``` curl -X GET 'api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` ### Generating Access Tokens 1. Navigate to **Apps & Perks > Developer Center**. 2. Click on the “Generate New Token” button. 3. In the popup, click “Generate Token” button to generate a new token. Your newly generated token is visible on the screen. 4. Make sure to copy and save your token once is generated. You won't be able to see it again!
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

entity_typeenumRequired

The type of entity to screen. Only ‘profile’, ‘hris_profile’, ‘legal_entity’ are accepted.

Allowed values:
entity_idstringRequiredformat: "uuid"
UUID v4 of the entity

Response

Details of the screening request for the specified entity type and ID.
resultenum
The result of the screening. ACCEPT means the screening passed, REJECT means it failed, and REFERRED means it is pending further review.
Allowed values:
entity_idstring
UUID of the entity.
entity_typeenum
The type of entity being screened.
Allowed values:
detailed_resultsobject
Details of checks performed for this screening.

Errors